/********************************************************************************
	 -- Halo Map Scripted Objects
    Copyright  2011 Jesus7Freak

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*********************************************************************************
	File:    winmain.h
	Project: Halo Map Scripted Objects
	Author:  Jesus7Freak
	Date:    10/29/2011
	Game:    Halo and Halo Custom Edition
	Version: all
*********************************************************************************/
#pragma once

// Enabling Windows XP visual effects (aka themes)
#ifdef _UNICODE
#if defined _M_IX86
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_IA64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='ia64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_X64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#else
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
#endif
#endif

#include "resource.h"
#include "RWMemory.h"
using namespace ReadWriteMemoryTools;

#include <windowsx.h>
#include "Commctrl.h"

DWORD WINAPI HMThread(LPVOID lpMainWin);

BOOL SetNewWindowText(HWND hWin, wchar_t *str);
void UpdateObjectInfo(HWND hwnd, int SelectedIndex);

extern RWMemory *Halo_Process;
extern bool exiting,
   halo_loaded;

extern char BufferA[32];

extern wchar_t *szWindowClass,
   *szTitle,
   *szHaloCE,
   *szHaloPC,
   *szHaloCE_exe,
   *szHaloPC_exe,
   *szOn,
   *szOff,
   *szMap,
   *empty_str,
   *BufferW[32];
   
extern DWORD scan_size,
   Current_Map_address,
   MapInfo_ptr_address,
   ScriptObjTags_ptr_address,
   DestroyObj_func_address,
   Object_ptr_address,
   CreateScriptedObj_func_address;
   
enum game_types : WORD
{ not_running = 0, Halo = 1, HCE = 2 } extern running_gt;